<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_height="match_parent"
    android:background="@color/md_cyan_50">

    <RelativeLayout
        android:id="@+id/contentView"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <RelativeLayout
            android:id="@+id/rlBar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/header2"
            android:layout_marginBottom="5dp"
            android:elevation="2dp">

            <Button
                android:id="@+id/btnBack"
                android:layout_width="45dp"
                android:layout_height="wrap_content"
                android:drawableEnd="@drawable/ic_arrow_white_24dp"
                android:drawableRight="@drawable/ic_arrow_white_24dp"
                android:background="?attr/selectableItemBackgroundBorderless"
                android:paddingRight="10dp"
                android:layout_marginVertical="5dp"/>

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Add New Drone"
                android:textSize="20sp"
                android:textColor="@color/white"
                android:layout_centerInParent="true"/>

        </RelativeLayout>

        <androidx.core.widget.NestedScrollView
            android:layout_below="@id/rlBar"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
                android:padding="16dp">

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal">
                    <com.mikhaellopez.circularimageview.CircularImageView
                        android:id="@+id/ivProfile"
                        android:layout_width="170dp"
                        android:layout_height="170dp"
                        android:src="@drawable/image_notfound"
                        android:layout_gravity="center_horizontal"
                        app:civ_shadow="true"
                        app:civ_shadow_color="@color/black"
                        app:civ_shadow_radius="5"
                        android:layout_margin="10dp"/>

                    <Button
                        android:id="@+id/btnEditGambar"
                        android:layout_width="45dp"
                        android:layout_height="45dp"
                        android:drawableLeft="@drawable/ic_mode_edit"
                        android:background="@drawable/bg_corner_20dp"
                        android:backgroundTint="@color/md_cyan_200"
                        android:paddingLeft="11dp"
                        android:layout_toRightOf="@id/ivProfile"
                        android:layout_marginLeft="-60dp"
                        android:layout_marginTop="-60dp"
                        android:layout_below="@id/ivProfile"/>

                </RelativeLayout>

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginVertical="@dimen/layout_space_small"
                    android:background="@drawable/bg_corner_6dp"
                    android:padding="@dimen/layout_space_medium">

                    <com.google.android.material.textfield.TextInputEditText
                        android:paddingLeft="@dimen/layout_space_small"
                        android:id="@+id/etDroneName"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:singleLine="true"
                        android:maxLength="30"
                        android:hint="Nama Drone" />
                </com.google.android.material.textfield.TextInputLayout>

                <Button
                    android:id="@+id/btnAddDrone"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Add Drone"
                    android:layout_marginTop="20dp"
                    android:layout_marginBottom="20dp"
                    android:background="@drawable/btn_base_selector"/>

            </LinearLayout>

        </androidx.core.widget.NestedScrollView>

    </RelativeLayout>

    <include layout="@layout/view_error" />

    <include layout="@layout/view_loading" />
</FrameLayout>
